Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Data Structures Estimated time: 0.00 hour

Target version: CoCoALib-0.99880 Spent time: 0.00 hour

Description

Review the design of ideals.

Some points to bear in mind:

an ideal should probably be immutable -- any operation which would "change" the ideal should actually produce a new ideal

while the main ideals are those in poly rings, I'd like the design to work also for ideals in ZZ (at least).

Related issues:

Related to CoCoALib - Bug #130: Design problem in ideals New 15 Apr 2012

Related to CoCoA-5 - Bug #870: GBasis of product of ideals is wrong (Vadim Tr... Closed 26 Apr 2016

Related to CoCoALib - Feature #665: Integrate Janet/Pommaret basis code In Progress 11 Feb 2015

Related to CoCoALib - Design #550:  add myResolution member field to ideal an... New 09 May 2014

Related to CoCoALib - Feature #520: Compute inverse in quotient ring (i.e. di... Closed 04 Apr 2014

Related to CoCoALib - Design #513: Quick/correct flag for bool3 fns In Progress 02 Apr 2014

Related to CoCoALib - Design #455: Which sets of generators in an ideal? New 03 Mar 2014

Related to CoCoALib - Feature #400: add myJBMill member field to ideal New 02 Aug 2013

Related to CoCoALib - Feature #399: add myHilbertSeries member field to ideal... New 02 Aug 2013

Related to CoCoALib - Design #316: submodule constructor different from ideal In Progress 20 Feb 2013

Related to CoCoALib - Design #297: Modules design: brainstorming In Progress 25 Jan 2013

Related to CoCoALib - Slug #120: LT over QQ: surprisingly slow New 03 Apr 2012

Related to CoCoALib - Bug #114: Ideals of polynomials In Progress 26 Mar 2012

Related to CoCoALib - Design #1767: Finalize design for ideals in CoCoALib In Progress 31 Oct 2023

History

#1 - 26 Apr 2016 15:01 - John Abbott

- Related to Bug #130: Design problem in ideals added

#2 - 26 Apr 2016 15:08 - John Abbott

- Related to Bug #870: GBasis of product of ideals is wrong (Vadim Tropashko) --> I.myReset() added

#3 - 26 Apr 2016 15:08 - John Abbott

- Related to Feature #665: Integrate Janet/Pommaret basis code added

#4 - 26 Apr 2016 15:09 - John Abbott

- Related to Design #550:  add myResolution member field to ideal and (sub)module added

#5 - 26 Apr 2016 15:10 - John Abbott

- Related to Feature #520: Compute inverse in quotient ring (i.e. division in algebraic extn) added

#6 - 26 Apr 2016 15:10 - John Abbott

- Related to Design #513: Quick/correct flag for bool3 fns added
#7 - 26 Apr 2016 15:10 - John Abbott

- Related to Design #455: Which sets of generators in an ideal? added

#8 - 26 Apr 2016 15:11 - John Abbott

- Related to Feature #400: add myJBMill member field to ideal added

#9 - 26 Apr 2016 15:11 - John Abbott

- Related to Feature #399: add myHilbertSeries member field to ideal and (sub)module added

#10 - 26 Apr 2016 15:11 - John Abbott

- Related to Design #316: submodule constructor different from ideal added

#11 - 26 Apr 2016 15:11 - John Abbott

- Related to Design #297: Modules design: brainstorming added

#12 - 26 Apr 2016 15:13 - John Abbott

- Related to Slug #120: LT over QQ: surprisingly slow added

#13 - 26 Apr 2016 15:13 - John Abbott

- Related to Bug #114: Ideals of polynomials added

#14 - 22 May 2017 14:11 - Anna Maria Bigatti

- Target version set to CoCoALib-1.0

#15 - 31 Oct 2023 11:19 - Anna Maria Bigatti

- Related to Design #1767: Finalize design for ideals in CoCoALib added

#16 - 31 Oct 2023 11:23 - Anna Maria Bigatti

Original issue about the design of the ideal class: here we collect the many aspects we should consider for the final design.

#17 - 31 Oct 2023 11:24 - Anna Maria Bigatti

- Category set to Data Structures

- Target version changed from CoCoALib-1.0 to CoCoALib-0.99880

#18 - 31 Oct 2023 11:24 - Anna Maria Bigatti

- Description updated
